.header {
  position: fixed;

  z-index: 1;
  top: 0;

  width: 100%;
  padding-top: rem(30);

  background: #fff;

  transition: padding-top 250ms;

  @media (max-width: 560px) {
    position: static;
    padding-top: 0;
  }

  &__wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;

    max-width: rem(1172);
    margin: 0 auto;
    padding: 0 rem(32);

    @media (max-width: 560px) {
      flex-flow: column;
      align-items: flex-start;
      justify-content: flex-start;

      padding: rem(20) rem(20) rem(60);
    }
  }

  &__logo {
    display: block;

    width: rem(164);
    height: rem(65);

    background: url('https://via.placeholder.com/150') 0 0 no-repeat;
    background-size: cover;
  }

  .menu {
    display: flex;
    align-self: stretch;

    @media (max-width: 560px) {
      flex-flow: column;
      align-self: flex-start;

      margin-top: rem(30);
    }

    &__item {
      display: flex;
      align-items: center;

      padding: 0 rem(16);

      font-family: $OpenSans;
      font-size: rem(18);
      font-weight: 600;
      line-height: 1.5;

      @media (max-width: 768px) {
        font-size: rem(22);
      }

      @media (max-width: 560px) {
        padding: rem(8) 0;

        font-size: rem(18);
      }
    }
  }


  .mobile-menu {
    display: none;

    @media (max-width: 560px) {
      &.visible {
        display: block;
      }
    }

    &__trigger {
      position: fixed;
      z-index: 1000;

      top: 0;
      right: 0;

      color: #fff;
    }

    &__wrapper {
      display: none;
      position: fixed;
      z-index: 999;

      top: 0;
      left: 0;
      right: 0;
      bottom: 0;

      flex-flow: column;
      align-items: flex-start;
      justify-content: center;

      padding-left: rem(16);

      background: #000;
    }

    &__trigger {
      width: rem(45);
      height: rem(45);

      background: #000 url('../img/icons/menu-button.svg') center no-repeat;
      background-size: rem(20) rem(20);
    }

    &.active {
      .mobile-menu__wrapper {
        display: flex;
      }

      .mobile-menu__trigger {
        background: #000 url('../img/icons/close-button.svg') center no-repeat;
        background-size: rem(20) rem(20);
      }
    }

    &__item {
      padding: rem(4) rem(20);

      font-family: $PTSans;
      font-size: rem(24);
      line-height: 1.4;
      letter-spacing: rem(.4);
      color: #fff;
    }
  }

  &__label {
    display: none;

    @media (max-width: 560px) {
      display: block;

      margin: rem(50) 0;

      font-family: $PTSans;
      font-size: rem(36);
      line-height: rem(52);
      letter-spacing: rem(.55);
      color: #000;
    }
  }

  @media (min-width: 561px) {
    &.scrolled {
      padding-top: 0;

      .header__logo {
        width: rem(65);
        height: rem(65);

        padding: rem(10) rem(10) rem(19) rem(19);

        background: url('https://via.placeholder.com/150') rem(19) rem(10) no-repeat;
        background-size: rem(36) rem(36) ;
      }
    }
  }

}
